# Mongo::getSlave

(PECL mongo >=1.1.0)

Mongo::getSlave — Returns the address being used by this for slaveOkay reads

### Description

public Mongo::getSlave ( void ) : string

This finds the address of the secondary currently being used for reads. It is a read-only method: it does not change anything about the internal state of the object.

When you create a connection to the database, the driver will not immediately decide on a secondary to use. Thus, after you connect, this function will return `NULL` even if there are secondaries available. When you first do a query with slaveOkay set, at that point the driver will choose a secondary for this connection. At that point, this function will return the chosen secondary.

See the query section of this manual for information on distributing reads to secondaries.

### Parameters

This function has no parameters.

### Return Values

The address of the secondary this connection is using for reads.

This returns `NULL` if this is not connected to a replica set or not yet initialized.

### Errors/Exceptions

Issues `E_DEPRECATED` warning

The returned results aren't really useful as the secondary selection process is done on each query and database command execution.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

### See Also

- MongoCursor::info() - Gets information about the cursor's creation and iteration